compact1, compact2, compact3
java.net

## Interface ProtocolFamily

- All Known Implementing Classes:
    StandardProtocolFamily

      public interface ProtocolFamily

  Represents a family of communication protocols.
  Since:
    1.7

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()` Returns the name of the protocol family.

- - ### Method Detail

    - #### name

          String name()

      Returns the name of the protocol family.
      Returns:
        the name of the protocol family

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.